<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout3}">
<head>
    <meta charset="UTF-8">
    <title>THR Report</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Vacancy Detail
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Jobs</li>
        <li class="active"> Vacancy</li>
        <li class="active" th:text="${request.position.positionName}"> </li>
    </ol>
</section>

<section layout:fragment="main" class="content">

    <div class="row">
        <div class="col-md-12">

            <div class="box">
                <div class="box-body">
                    <!-- notif berhasil atau tidak apply job ketika pengisian data -->
                    <div class="callout callout-danger" th:if="${gagal != null}">
                        <h4>Email sudah terpakai!</h4>

                        <p>Gunakan email lain.</p>
                    </div>

                    <div class="callout callout-success" th:if="${success != null}">
                        <h4>Please login with your registered email</h4>

                        <!--        <p>Gunakan email lain.</p>-->
                    </div>

                    <div class="row">
                        <div style="border-right: solid #f4f4f4 2px;" class="col-md-8">
                            <div class="box box-info">
                                <div class="box-header with-border">
                                    <h3 style="">Description</h3>
                                </div>
                                <div class="box-body">
                                    <span th:utext="${request.descriptionHrd}"></span>
                                </div>
                                <div class="box-header with-border">
                                    <h3>Qualification</h3>
                                </div>
                                <div class="box-body">
                                    <span th:utext="${request.qualification}"></span>
                                </div>
                            </div>
                            <img class="img-thumbnail" th:src="@{/vacancy/{request}/flyer/(request=${request.id})}" alt="" width="100%" height="100%">
                        </div>
                        <div class="col-md-4">
                            <div class="small-box bg-aqua">
                                <div class="inner">
                                    <h4 th:text="${request.position.positionName}"></h4>

                                    <p th:text="${request.department.departmentName}">New Orders</p>
<!--                                    <p th:text="${'Exp: ' + #temporals.format(request.expiredDate, 'dd-MMMM-yyyy')}"></p>-->
                                </div>
                                <div class="icon">
                                    <i class="ion ion-person-add"></i>
                                </div>
                                <!--                <div class="icon">-->
                                <!--                    <i class="fa fa-shopping-cart"></i>-->
                                <!--                </div>-->
                                <a th:href="@{/vacancy/register}" class="small-box-footer">
                                    Apply Now
                                </a>
                            </div>

                            <div th:if="${support == null}" class="box box-primary box-solid">
                                <div class="box-header with-border">
                                    <h3 class="box-title">Support file for this job</h3>

<!--                                    <div class="box-tools pull-right">-->
<!--                                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>-->
<!--                                        </button>-->
<!--                                    </div>-->
                                    <!-- /.box-tools -->
                                </div>
                                <!-- /.box-header -->
                                <div class="box-body">
                                    <ul class="nav nav-pills nav-stacked">
                                        <li th:each="data, row:${supportFile}">
                                            <a><i class="fa fa-file"></i><span th:text="${data.name}"><p/></span></a>
                                        </li>
                                    </ul>
                                </div>
                                <!-- /.box-body -->
                            </div>

                            <a th:href="@{/vacancy/jobs}" class="btn btn-primary btn-block">
                                <i class="fa fa-arrow-circle-left"></i>
                                Back
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</section>
<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#tanggalLahir').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>

    <script>
        $(function () {
            $('#example1').DataTable()
            $('#example2').DataTable({
                'paging'      : true,
                'lengthChange': false,
                'searching'   : false,
                'ordering'    : true,
                'info'        : true,
                'autoWidth'   : false
            })
        })

        $(function() {

            var bla = $('#effectiveDateString').val();
            $('#effectiveDateString').val(bla);

        });

        (function($){
            $('#payrollComponent').select2();
            $('#payrollComponent').on('select2:selecting', function(e) {
                console.log('Selecting: ' , e.params.args.data.id);
                $('#isiPayrollComponent').val(e.params.args.data.id);
            });
        })(jQuery);

        function dtable() {

            // const url = '/api/detail/anggarandto?idAnggaran='+$('#isiPayrollComponent').val();
            window.location.href = '/payroll/update/new?payrollComponent='+$('#isiPayrollComponent').val()+'&effectiveDate='+$('#effectiveDateString').val();


        }
    </script>
</section>
</body>
</html>
</body>
</html>